//# sourceURL=widgets/Sensor.js
/**
 * $Id: Sensor.js 300 2018-03-08 18:56:13Z patrick $
 */

import Widget from '../Widget.js';

var Sensor = function( elem ) {
	Widget.call( this, elem );
	this.name = "Sensor";
	this.entity_id = this.getData( 'sensor', this.entity_id );

	this.value = this.getData( 'value', 'entity.primary_value' );
	this.active_id = this.getData( 'active', false );
	this.active_entity = false;

	$(this.elem).addClass("widget-sensor");
};

Sensor.prototype = Object.create(Widget.prototype);
Sensor.prototype.constructor = Sensor;

Sensor.prototype.startXXX = function() {
	/* If our active state is tracked by a reference/expression, find that
	   entity and make us an observer of it. */
	var self = this;
	if ( self.active_id ) {
		self.addObservedEntity( self.active_id, "active_entity" ).catch( function( e ) {
			self.log.warn("Unable to load active entity %1: %2", self.active_id, e);
		});
	}
};

Sensor.prototype.updateXXX = function() {
	var active = this.entity ? this.entity.getAttributeBoolean("state") : false;
	if ( this.active_entity ) {
		var val = this.resolve( this.active_id, this.createContextFromEntity( this.active_entity ) );
		active = this.active_entity.toBooleanState( val, false );
	}

	this.bindValues( this.createContextFromEntity( this.entity ) );

	if ( active ) {
		$(this.elem).addClass("active").removeClass('update-pending');
	} else {
		$(this.elem).removeClass("active update-pending");
	}
};

export default Sensor;
