/** This file is part of Reactor.
 *  Copyright (c) 2020-2022 Kedron Holdings LLC, All Rights Reserved.
 *  Reactor is not public domain or open source. Distribution or derivative works are expressly prohibited.
 */

export const version = 22207;

import api from '/client/ClientAPI.js';

import ReactorUICore from "./reactor-ui-core.js";

import { getLocale } from './i18n.js';

function readyHandler() {
    console.log("reactor-ui.js:readyHandler()");

    api.start().then( function() {
        ReactorUICore.start();
    });

    let $el = jQuery( 'a#re-sysclock' );
    setInterval( () => {
        /* Fixed format time display */
        let t = ( new Date() ).toLocaleTimeString( getLocale(), { hour12: false } );
        if ( t !== $el.text() ) {
            $el.text( t );
        }
    }, 500 );
}

jQuery( readyHandler );
